#!/bin/bash
# shuts the system down and displays a nice message
# $Id$

if [ -x $(which Xdialog) ]
then
	Xdialog \
		--title "Shutdown" \
		--no-buttons \
		--infobox "System shutdown in progress ..." 6 34 5000 \
		& sudo /sbin/halt
elif [ -x $(which xmessage) ]
then
	msg="
  System shutdown in progress ...  

"
	xmessage -center -title "Shutdown" -buttons "" "${msg}" \
	& sudo /sbin/halt
else
	sudo /sbin/halt
fi
